## org.apache.fop.dom
Class ElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl

Direct Known Subclasses:
  SVGDocumentImpl, SVGElementImpl

public class ElementImpl
extends NodeImpl
implements org.w3c.dom.Element

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElementImpl()`

Method Summary
`java.lang.String` `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NodeList` `getElementsByTagName(java.lang.String name)`
`org.w3c.dom.NodeList` `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` `hasAttribute(java.lang.String name)`
`boolean` `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` `hasAttributes()`
`void` `removeAttribute(java.lang.String name)`
`org.w3c.dom.Attr` `removeAttributeNode(org.w3c.dom.Attr oldAttr)`
`void` `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` `replaceChild(org.w3c.dom.Node n, org.w3c.dom.Node no)`
`void` `setAttribute(java.lang.String name, java.lang.String value)`
`org.w3c.dom.Attr` `setAttributeNode(org.w3c.dom.Attr newAttr)`
`org.w3c.dom.Attr` `setAttributeNodeNS(org.w3c.dom.Attr newAttr)`
`void` `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)`

Methods inherited from class org.apache.fop.dom.NodeImpl
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementImpl

    public ElementImpl()

Method Detail

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node n,
                                         org.w3c.dom.Node no)

  Overrides:
    replaceChild in class NodeImpl

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Specified by:
    getAttribute in interface org.w3c.dom.Element

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  Specified by:
    setAttribute in interface org.w3c.dom.Element

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Specified by:
    removeAttribute in interface org.w3c.dom.Element

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    getAttributeNode in interface org.w3c.dom.Element

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNode in interface org.w3c.dom.Element

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  Specified by:
    removeAttributeNode in interface org.w3c.dom.Element

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Specified by:
    getElementsByTagName in interface org.w3c.dom.Element

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    getAttributeNS in interface org.w3c.dom.Element

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNS in interface org.w3c.dom.Element

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  Specified by:
    removeAttributeNS in interface org.w3c.dom.Element

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Specified by:
    getAttributeNodeNS in interface org.w3c.dom.Element

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                        throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNodeNS in interface org.w3c.dom.Element

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Specified by:
    getElementsByTagNameNS in interface org.w3c.dom.Element

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Specified by:
    hasAttributeNS in interface org.w3c.dom.Element

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    hasAttribute in interface org.w3c.dom.Element

### hasAttributes

    public boolean hasAttributes()

  Overrides:
    hasAttributes in class NodeImpl

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.